MooseX::Declare::Syntax::Keyword::With(3)

NAME
MooseX::Declare::Syntax::Keyword::With - Apply roles within a class- or role-body

SYNOPSIS
  use MooseX::Declare;

  class ::Baz {
      with 'Qux';
      ...
  }

DESCRIPTION
The "with" keyword allows you to apply roles to the local class or role. It differs from the "with"-option of the "class" and "role" keywords in that it applies the roles immediately instead of defering application until the end of the class- or role-definition.

It also differs slightly from the "with" provided by Moose in that it expands relative role names ("::Foo") according to the currenc "namespace".

METHODS

  parse
  Object->parse(Object $context)

Will skip the declarator and make with "with" invocation apply the set of specified roles after possible "namespace"-expanding has been done.

CONSUMES

•   MooseX::Declare::Syntax::KeywordHandling

SEE ALSO

•   MooseX::Declare

•   MooseX::Declare::Syntax::Keyword::Namespace

AUTHORS

•   Florian Ragwitz <rafl@debian.org>

•   Ash Berlin <ash@cpan.org>

•   Chas. J. Owens IV <chas.owens@gmail.com>

•   Chris Prather <chris@prather.org>

•   Dave Rolsky <autarch@urth.org>

•   Devin Austin <dhoss@cpan.org>

•   Hans Dieter Pearcey <hdp@cpan.org>

•   Justin Hunter <justin.d.hunter@gmail.com>

•   Matt Kraai <kraai@ftbfs.org>

•   Michele Beltrame <arthas@cpan.org>

•   Nelo Onyiah <nelo.onyiah@gmail.com>

•   nperez <nperez@cpan.org>

•   Piers Cawley <pdcawley@bofh.org.uk>

•   Rafael Kitover <rkitover@io.com>

•   Robert 'phaylon' Sedlacek <rs@474.at>

•   Stevan Little <stevan.little@iinteractive.com>

•   Tomas Doran <bobtfish@bobtfish.net>

•   Yanick Champoux <yanick@babyl.dyndns.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.